Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::extrusion_node Class Reference

Inheritance diagram for openvrml::vrml97_node::extrusion_node:

[legend]
List of all members.

## Detailed Description

Extrusion node instances.

## Public Member Functions

| extrusion_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~extrusion_node () throw ()
| Destroy.

## Private Member Functions

virtual viewer::object_t | do_render_geometry (openvrml::viewer &viewer, rendering_context context)
| Insert this geometry into `viewer's` display list.

## Private Attributes

set_cross_section_listener | set_cross_section_listener_
| set_crossSection eventIn handler.
set_orientation_listener | set_orientation_listener_
| set_orientation eventIn handler.
set_scale_listener | set_scale_listener_
| set_scale eventIn handler.
set_spine_listener | set_spine_listener_
| set_spine eventIn handler.
sfbool | begin_cap_
| beginCap field.
sfbool | ccw_
| ccw field.
sfbool | convex_
| convex field.
sffloat | crease_angle_
| creaseAngle field.
mfvec2f | cross_section_
| crossSection field.
sfbool | end_cap_
| endCap field.
mfrotation | orientation_
| orientation field.
mfvec2f | scale_
| scale field.
sfbool | solid_
| solid field.
mfvec3f | spine_
| spine field.

## Friends

class | extrusion_class
| Class object for Extrusion nodes.

## Classes

class | set_cross_section_listener
| set_crossSection event handler. More...
class | set_orientation_listener
| set_orientation event handler. More...
class | set_scale_listener
| set_scale event handler. More...
class | set_spine_listener
| set_spine event handler. More...

## Constructor & Destructor Documentation

openvrml::vrml97_node::extrusion_node::extrusion_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

Construct.

Parameters:

  | type | the node_type associated with the node instance.
  | scope | the scope to which the node belongs.

openvrml::vrml97_node::extrusion_node::~extrusion_node | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

viewer::object_t openvrml::vrml97_node::extrusion_node::do_render_geometry | ( | openvrml::viewer & | viewer,
|  | rendering_context | context
| ) | `[private, virtual]`

Insert this geometry into `viewer's` display list.

Parameters:

  | viewer | a Viewer.
  | context | the rendering context.

Reimplemented from openvrml::geometry_node.

## Friends And Related Function Documentation

openvrml::vrml97_node::extrusion_node::extrusion_class`[friend]`

| Class object for Extrusion nodes.

## Member Data Documentation

extrusion_node::set_cross_section_listener openvrml::vrml97_node::extrusion_node::set_cross_section_listener_ `[private]`

| set_crossSection eventIn handler.

extrusion_node::set_orientation_listener openvrml::vrml97_node::extrusion_node::set_orientation_listener_ `[private]`

| set_orientation eventIn handler.

extrusion_node::set_scale_listener openvrml::vrml97_node::extrusion_node::set_scale_listener_ `[private]`

| set_scale eventIn handler.

extrusion_node::set_spine_listener openvrml::vrml97_node::extrusion_node::set_spine_listener_ `[private]`

| set_spine eventIn handler.

sfbool openvrml::vrml97_node::extrusion_node::begin_cap_ `[private]`

| beginCap field.

sfbool openvrml::vrml97_node::extrusion_node::ccw_ `[private]`

| ccw field.

sfbool openvrml::vrml97_node::extrusion_node::convex_ `[private]`

| convex field.

sffloat openvrml::vrml97_node::extrusion_node::crease_angle_ `[private]`

| creaseAngle field.

mfvec2f openvrml::vrml97_node::extrusion_node::cross_section_ `[private]`

| crossSection field.

sfbool openvrml::vrml97_node::extrusion_node::end_cap_ `[private]`

| endCap field.

mfrotation openvrml::vrml97_node::extrusion_node::orientation_ `[private]`

| orientation field.

mfvec2f openvrml::vrml97_node::extrusion_node::scale_ `[private]`

| scale field.

sfbool openvrml::vrml97_node::extrusion_node::solid_ `[private]`

| solid field.

mfvec3f openvrml::vrml97_node::extrusion_node::spine_ `[private]`

| spine field.